# Список изменений в версии 6.1.0

## Добавлено

### Модуль decort_kvmvm
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BANS-602 | Добавлена возможность изменения параметра `chipset` у существующей виртуальной машины. |
| BANS-620 | Добавлены параметры `cpu_pin`, `hp_backed`, `numa_affinity` для создания и изменения виртуальной машины. |
| BANS-622 | Добавлена возможность изменения параметра `description` у существующей виртуальной машины. |
| BANS-201 | Добавлен параметр `description` в связи с переименованием из `annotation`.|
| BANS-625 | Добавлен параметр `custom_fields` для создания и изменения виртуальной машины.|

### Модуль decort_k8s
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BANS-598 | Добавлен параметр `master_chipset` для указания чипсета для master-узлов при создании кластера и параметр `workers.chipset` для указания чипсета для worker-узлов.<br>Для параметров `workers.annotations`, `workers.chipset`, `workers.ci_user_data`, `workers.cpu`, `workers.labels`, `workers.num`, `workers.ram`, `workers.taints` установлены значения по умолчанию при создании.|

### Модуль decort_disk
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BANS-201 | Добавлен параметр `description` в связи с переименованием из `annotation`.|

### Модуль decort_lb
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BANS-201 | Добавлен параметр `description` в связи с переименованием из `annotation`.|

### Модуль decort_vins
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BANS-201 | Добавлен параметр `description` в связи с переименованием из `annotation`.|

### Модуль decort_rg
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BANS-201 | Добавлен параметр `description` в связи с переименованием из `annotation`.|

## Удалено

### Модуль decort_group
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BANS-656 | Удалён неиспользуемый ключ `config` в возвращаемом словаре. |
| BANS-201 | Удалены неиспользуемые параметры `annotation` и `description`.|

### Модуль decort_disk
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BANS-201 | Удален параметр `annotation` в связи с переименованием в `description`.|

### Модуль decort_kvmvm
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BANS-201 | Удален параметр `annotation` в связи с переименованием в `description`.|

### Модуль decort_lb
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BANS-201 | Удален параметр `annotation` в связи с переименованием в `description`.|

### Модуль decort_rg
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BANS-201 | Удален параметр `annotation` в связи с переименованием в `description`.|

### Модуль decort_vins
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BANS-201 | Удален параметр `annotation` в связи с переименованием в `description`.|

### Модуль decort_bservice
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BANS-201 | Удалены неиспользуемые параметры `annotation` и `description`.|

### Модуль decort_k8s
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BANS-201 | Удален неиспользуемый параметр `annotation`.|

## Исправлено

### Модуль decort_kvmvm
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BANS-9 | Исправлена ошибка, из-за которой модуль не устанавливал параметр `description` при создании виртуальной машины. |
| BANS-13 | Исправлена ошибка, из-за которой модуль не возвращал ошибку при попытке уменьшить размер загрузочного диска. |
